ContentBlock Example

Using Programming Languages other than VBA

Sub Example_AddMLeader()

	Dim oML As AcadMLeader
	Dim points(0 To 14) As Double
	Dim name As String
	Dim blType As AcPredefBlockType
	Dim i As Long

	name = "TestName"
	blType = acBlockHexagon

	' Define the mleader points
	points(0) = 1: points(1) = 1: points(2) = 0
	points(3) = 1: points(4) = 2: points(5) = 0
	points(6) = 2: points(7) = 2: points(8) = 0
	points(9) = 3: points(10) = 2: points(11) = 0
	points(12) = 4: points(13) = 4: points(14) = 0

	Set oML = ThisDrawing.ModelSpace.AddMLeader(points, i)

	oML.ContentBlockName = "test name"
	oML.ContentBlockType = acBlockHexagon

	ZoomAll

End Sub

 

   Comments?